import { getEnumTypeList, getEnumTypeName } from './index'

/**
 * 套期状态
 */
export enum HedgedItemStatus {
    Uncommitted = 0, // 未提交
    Review = 1, // 待审核
    Runing = 2, // 执行中
    Finish = 3, // 正常完结
    Refuse = 4, // 审核拒绝
    Unusually = 5, // 异常完结
    Cancel = 6, // 已撤回
}

/**
 * 获取类型列表
 * @returns 
 */
export function getHedgedItemStatusList() {
    return getEnumTypeList('hedgeditemstatus');
}

/**
 * 获取枚举名称
 * @param value 
 * @returns 
 */
export function getHedgedItemStatusName(value: number) {
    return getEnumTypeName(getHedgedItemStatusList(), value);
}

/**
 * 判断类型是否相同
 * @param key 
 * @param value 
 * @returns 
 */
export function isEqualToHedgedItemStatus(key: keyof typeof HedgedItemStatus, value: number) {
    return HedgedItemStatus[key] === value;
}